X2Go Bug report logs - #545
find_busy_servers in agent.py does not return tuple expected as part of recent API change

version graph

Package: x2gobroker; Maintainer for x2gobroker is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker is src:x2gobroker.

Reported by: Josh Lukens <jlukens@botch.com>

Date: Thu, 10 Jul 2014 02:15:01 UTC

Severity: wishlist

Tags: patch, pending

Found in version 0.0.3.0

Fixed in version 0.0.3.0

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.x2go.org
Subject: Bug#545: X2Go issue (in src:x2gobroker) has been marked as pending for release
Reply-To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 545@bugs.x2go.org
Resent-From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Resent-To: x2go-dev@lists.x2go.org
Resent-CC: X2Go Developers <x2go-dev@lists.x2go.org>
X-Loop: owner@bugs.x2go.org
Resent-Date: Fri, 11 Jul 2014 11:50:02 +0000
Resent-Message-ID: <handler.545.B545.140507912211137@bugs.x2go.org>
Resent-Sender: owner@bugs.x2go.org
X-X2Go-PR-Message: followup 545
X-X2Go-PR-Package: x2gobroker
X-X2Go-PR-Keywords: patch
Received: via spool by 545-submit@bugs.x2go.org id=B545.140507912211137
          (code B ref 545); Fri, 11 Jul 2014 11:50:02 +0000
Received: (at 545) by bugs.x2go.org; 11 Jul 2014 11:45:22 +0000
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,NO_RELAYS
	autolearn=unavailable version=3.3.2
Received: by ymir.das-netzwerkteam.de (Postfix, from userid 1005)
	id 2AB095DB24; Fri, 11 Jul 2014 13:45:13 +0200 (CEST)
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 545-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 545@bugs.x2go.org
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Mailer: http://snipr.com/post-receive-tag-pending
Message-Id: <20140711114513.2AB095DB24@ymir.das-netzwerkteam.de>
Date: Fri, 11 Jul 2014 13:45:13 +0200 (CEST)
tag #545 pending
fixed #545 0.0.3.0
thanks

Hello,

X2Go issue #545 (src:x2gobroker) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=910f046

The issue will most likely be fixed in src:x2gobroker (0.0.3.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 910f046a57e96236c926dba1a24a361be128aad8
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Fri Jul 11 13:45:10 2014 +0200

    Make sure find_busy_servers in agent.py returns a tuple (recent API change) to not break profiles with multiple servers. (Fixes: #545).

diff --git a/debian/changelog b/debian/changelog
index f662963..d3c9000 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -186,6 +186,8 @@ x2gobroker (0.0.3.0-0x2go1) UNRELEASED; urgency=low
     - Add basic support for pulling https_get authmech config from configuration
       file. (Fixes: #470).
     - Fix typos and host/port mixups in the remote_sshproxy logic. (Fixes: #544).
+    - Make sure find_busy_servers in agent.py returns a tuple (recent API change)
+      to not break profiles with multiple servers. (Fixes: #545).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 07 Jun 2013 23:25:30 +0200
 

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Oct 27 14:03:04 2021; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.